# discord-snowflake-id
discord-snowflake-id is a library for parsing [Discord snowflake](https://discord.com/developers/docs/reference#snowflakes) IDs and with zero dependencies

## Installation

Install this package using the following command in your terminal:
```
npm i discord-snowflake-id
yarn add discord-snowflake-id
pnpm add discord-snowflake-id
```

## Example Usage

Import this package like this:
```ts
import { Snowflake } from "discord-snowflake-id"
```
...or using CommonJS require function:
```js
const { Snowflake } = require("discord-snowflake-id")
```

Then use `Snowflake` object to get timestamp, worker id, process id and increment from an ID. Here is an example in TypeScript:
```ts
const { timestamp, workerId, processId, increment } = new Snowflake("635867082751344641")
```

And there is also a way to generate a `Snowlake` object from timestamp, worker id, process id and increment. Take a look at this example:
```ts
const { id } = Snowflake.construct({ timestamp, workerId, processId, increment })
```